package com.ruoyi.ngtools.mapper;

import java.util.List;
import com.ruoyi.ngtools.domain.NgMeterresult;

/**
 * 流量计算结果Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-09
 */
public interface NgMeterresultMapper 
{
    /**
     * 查询流量计算结果
     * 
     * @param id 流量计算结果主键
     * @return 流量计算结果
     */
    public NgMeterresult selectNgMeterresultById(String id);

    /**
     * 查询流量计算结果列表
     * 
     * @param ngMeterresult 流量计算结果
     * @return 流量计算结果集合
     */
    public List<NgMeterresult> selectNgMeterresultList(NgMeterresult ngMeterresult);

    /**
     * 新增流量计算结果
     * 
     * @param ngMeterresult 流量计算结果
     * @return 结果
     */
    public int insertNgMeterresult(NgMeterresult ngMeterresult);

    /**
     * 修改流量计算结果
     * 
     * @param ngMeterresult 流量计算结果
     * @return 结果
     */
    public int updateNgMeterresult(NgMeterresult ngMeterresult);

    /**
     * 删除流量计算结果
     * 
     * @param id 流量计算结果主键
     * @return 结果
     */
    public int deleteNgMeterresultById(String id);

    /**
     * 批量删除流量计算结果
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNgMeterresultByIds(String[] ids);
}
