package com.ruoyi.ngtools.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ngtools.mapper.NgComponentsMapper;
import com.ruoyi.ngtools.domain.NgComponents;
import com.ruoyi.ngtools.service.INgComponentsService;

/**
 * 天然气组分Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-02-09
 */
@Service
public class NgComponentsServiceImpl implements INgComponentsService 
{
    @Autowired
    private NgComponentsMapper ngComponentsMapper;

    /**
     * 查询天然气组分
     * 
     * @param id 天然气组分主键
     * @return 天然气组分
     */
    @Override
    public NgComponents selectNgComponentsById(String id)
    {
        return ngComponentsMapper.selectNgComponentsById(id);
    }

    /**
     * 查询天然气组分列表
     * 
     * @param ngComponents 天然气组分
     * @return 天然气组分
     */
    @Override
    public List<NgComponents> selectNgComponentsList(NgComponents ngComponents)
    {
        return ngComponentsMapper.selectNgComponentsList(ngComponents);
    }

    /**
     * 新增天然气组分
     * 
     * @param ngComponents 天然气组分
     * @return 结果
     */
    @Override
    public int insertNgComponents(NgComponents ngComponents)
    {
        ngComponents.setCreateTime(DateUtils.getNowDate());
        return ngComponentsMapper.insertNgComponents(ngComponents);
    }

    /**
     * 修改天然气组分
     * 
     * @param ngComponents 天然气组分
     * @return 结果
     */
    @Override
    public int updateNgComponents(NgComponents ngComponents)
    {
        ngComponents.setUpdateTime(DateUtils.getNowDate());
        return ngComponentsMapper.updateNgComponents(ngComponents);
    }

    /**
     * 批量删除天然气组分
     * 
     * @param ids 需要删除的天然气组分主键
     * @return 结果
     */
    @Override
    public int deleteNgComponentsByIds(String[] ids)
    {
        return ngComponentsMapper.deleteNgComponentsByIds(ids);
    }

    /**
     * 删除天然气组分信息
     * 
     * @param id 天然气组分主键
     * @return 结果
     */
    @Override
    public int deleteNgComponentsById(String id)
    {
        return ngComponentsMapper.deleteNgComponentsById(id);
    }
}
